Skip to main content

Create an Azure resource group

Creates an Azure resource group in the specified subscription ID. Use this to organize Azure resources within a subscription for better management and access control.

HTTP method and endpoint

POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/azure/subscription/{subscriptionId}/resource-group

Token usage

NetApp Console user token.

Parameters

Name Type In Required Description

accountId

string

path

True

Account ID

subscriptionId

string

path

True

Subscription ID

authorization

string

header

True

User token

X-Agent-Id

string

header

True

Request identifier

Request Body

Name Type Required Description

name

string

True

Name of the resource group to be created

region

string

True

Region where the resource group needs to be created

Example request
{
  "name": "string",
  "region": "string"
}

Response

Status: 200, Default response
Name Type Required Description

state

string

False

Example response
{
  "state": "string"
}